Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85749 - segfault while ripping cds
Summary: segfault while ripping cds
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grip
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-06 20:55 UTC by Chris Ricker
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-17 21:36:11 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-03-06 20:55:49 UTC
While ripping a CD, grip segfaulted:

Backtrace was generated from '/usr/bin/grip'

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New Thread
1079521568 (LWP 5670)]
0xffffe002 in ??
    ()
#0  0xffffe002 in ?? ()
#1  0x400aee1f in gnome_init () from /usr/lib/libgnomeui.so.32
#2  <signal handler called>
#3  0x42063627 in fwrite () from /lib/tls/libc.so.6
#4  0x0805fe14 in ID3v1TagFile ()
#5  0x0805d3c2 in KillEncode ()
#6  0x0805daf8 in UpdateRipProgress ()
#7  0x0804f448 in GripUpdate ()
#8  0x0804dd73 in Cmain ()
#9  0x404669d5 in g_main_set_poll_func () from /usr/lib/libglib-1.2.so.0
#10 0x404659ae in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#11 0x40465e89 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#12 0x40466124 in g_main_run () from /usr/lib/libglib-1.2.so.0
#13 0x4020a27f in gtk_main () from /usr/lib/libgtk-1.2.so.0
#14 0x0804dc9e in Cmain ()
#15 0x0804dabb in main ()
#16 0x420154a0 in __libc_start_main () from /lib/tls/libc.so.6

Thread 1 (Thread 1079521568 (LWP 5670)):
#0  0xffffe002 in ?? ()
No symbol table info available.
#1  0x400aee1f in gnome_init () from /usr/lib/libgnomeui.so.32
No symbol table info available.
#2  <signal handler called>
No locals.
#3  0x42063627 in fwrite () from /lib/tls/libc.so.6
No locals.
#4  0x0805fe14 in ID3v1TagFile ()
No symbol table info available.
#5  0x0805d3c2 in KillEncode ()
No symbol table info available.
#6  0x0805daf8 in UpdateRipProgress ()
No symbol table info available.
#7  0x0804f448 in GripUpdate ()
No symbol table info available.
#8  0x0804dd73 in Cmain ()
No symbol table info available.
#9  0x404669d5 in g_main_set_poll_func () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#10 0x404659ae in g_get_current_time () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#11 0x40465e89 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#12 0x40466124 in g_main_run () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#13 0x4020a27f in gtk_main () from /usr/lib/libgtk-1.2.so.0
No symbol table info available.
#14 0x0804dc9e in Cmain ()
No symbol table info available.
#15 0x0804dabb in main ()
No symbol table info available.
#16 0x420154a0 in __libc_start_main () from /lib/tls/libc.so.6
No symbol table info available.
#0  0xffffe002 in ?? ()

Comment 1 Bill Nottingham 2003-03-06 21:14:55 UTC
What exact version-release?

Comment 2 Chris Ricker 2003-03-06 21:18:40 UTC
This was a fresh install of beta5

grip-3.0.4-4

Comment 3 Bill Nottingham 2003-03-06 21:21:06 UTC
Can you get a new backtrace after installing:

http://people.redhat.com/notting/grip-debuginfo-3.0.4-4.i386.rpm

?

Comment 4 Chris Ricker 2003-03-06 21:25:02 UTC
I've installed the debugging symbols. If it crashes again, I'll add that info
here. If I can't get it to again, I'll try to remember to close this out -- it
might have just been one of those things....



Comment 5 Chris Ricker 2003-10-17 21:36:11 UTC
closing since I've never had it happen again


Note You need to log in before you can comment on or make changes to this bug.